DefaultObjectWrapperConfiguration (FreeMarker 2.3.23 API)
Date: 2015-07-05

freemarker.template

## Class DefaultObjectWrapperConfiguration

- java.lang.Object
- - freemarker.ext.beans.BeansWrapperConfiguration
  - - freemarker.template.DefaultObjectWrapperConfiguration

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    DefaultObjectWrapperBuilder

      public abstract class DefaultObjectWrapperConfiguration
      extends BeansWrapperConfiguration

  Holds `DefaultObjectWrapper` configuration settings and defines their defaults. You will not use this abstract class directly, but concrete subclasses like `DefaultObjectWrapperBuilder`. Unless, you are developing a builder for a custom `DefaultObjectWrapper` subclass. In that case, note that overriding the `equals(java.lang.Object)` and `hashCode()` is important, as these object are used as `ObjectWrapper` singleton lookup keys.
  Since:
    2.3.22

- - ### Field Summary

    - ### Fields inherited from class freemarker.ext.beans.BeansWrapperConfiguration

      `classIntrospectorFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultObjectWrapperConfiguration(Version incompatibleImprovements)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object that)` Two `BeansWrapperConfiguration`-s are equal exactly if their classes are identical (`==`), and their field values are equal.
    `boolean` | `getForceLegacyNonListCollections()` See `DefaultObjectWrapper.getForceLegacyNonListCollections()`.
    `boolean` | `getUseAdaptersForContainers()` See `DefaultObjectWrapper.getUseAdaptersForContainers()`.
    `int` | `hashCode()`
    `void` | `setForceLegacyNonListCollections(boolean legacyNonListCollectionWrapping)` See `DefaultObjectWrapper.setForceLegacyNonListCollections(boolean)`.
    `void` | `setUseAdaptersForContainers(boolean useAdaptersForContainers)` See `DefaultObjectWrapper.setUseAdaptersForContainers(boolean)`.

    - ### Methods inherited from class freemarker.ext.beans.BeansWrapperConfiguration

      `clone, getDefaultDateType, getExposeFields, getExposureLevel, getIncompatibleImprovements, getMethodAppearanceFineTuner, getOuterIdentity, getUseModelCache, isSimpleMapWrapper, isStrict, setDefaultDateType, setExposeFields, setExposureLevel, setMethodAppearanceFineTuner, setOuterIdentity, setSimpleMapWrapper, setStrict, setUseModelCache`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultObjectWrapperConfiguration

          protected DefaultObjectWrapperConfiguration(Version incompatibleImprovements)

  - ### Method Detail

    - #### getUseAdaptersForContainers

          public boolean getUseAdaptersForContainers()

      See `DefaultObjectWrapper.getUseAdaptersForContainers()`.

    - #### setUseAdaptersForContainers

          public void setUseAdaptersForContainers(boolean useAdaptersForContainers)

      See `DefaultObjectWrapper.setUseAdaptersForContainers(boolean)`.

    - #### getForceLegacyNonListCollections

          public boolean getForceLegacyNonListCollections()

      See `DefaultObjectWrapper.getForceLegacyNonListCollections()`.

    - #### setForceLegacyNonListCollections

          public void setForceLegacyNonListCollections(boolean legacyNonListCollectionWrapping)

      See `DefaultObjectWrapper.setForceLegacyNonListCollections(boolean)`.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BeansWrapperConfiguration`

    - #### equals

          public boolean equals(Object that)

      Description copied from class: `BeansWrapperConfiguration`
      Two `BeansWrapperConfiguration`-s are equal exactly if their classes are identical (`==`), and their field values are equal.
      Overrides:
        `equals` in class `BeansWrapperConfiguration`